package flex.samples.creator;

import org.seasar.framework.container.ComponentCustomizer;
import org.seasar.framework.container.creator.ComponentCreatorImpl;
import org.seasar.framework.container.deployer.InstanceDefFactory;
import org.seasar.framework.convention.NamingConvention;


/**
 * JDBCの命名規則を担当するクラス
 */
public class JdbcCreator extends ComponentCreatorImpl {
    
    /**
     * コンストラクタ
     * 
     * @param namingConvention {@link NamingConvention}
     */
    public JdbcCreator(NamingConvention namingConvention) {
        super(namingConvention);
        // 命名規則対象
        setNameSuffix("Jdbc");
        setInstanceDef(InstanceDefFactory.PROTOTYPE);
        setEnableInterface(true);
        setEnableAbstract(true);
    }
    
    /**
     * {@link ComponentCustomizer}の取得
     * 
     * @return {@link ComponentCustomizer}
     */
    public ComponentCustomizer getServiceCustomizer() {
        return getCustomizer();
    }

    /**
     * {@link ComponentCustomizer}の設定
     * 
     * @param customizer 設定する {@link ComponentCustomizer}
     */
    public void setServiceCustomizer(ComponentCustomizer customizer) {
        setCustomizer(customizer);
    }
}
