package flex.samples.service;

import java.util.ArrayList;
import java.util.List;

import org.seasar.framework.container.annotation.tiger.Binding;

import flex.samples.dto.HelloWorldRequestDto;
import flex.samples.dto.HelloWorldResponseDto;
import flex.samples.entity.Test;
import flex.samples.jdbc.TestJdbc;


/**
 * HelloWorldServiceクラスです。
 */
public class HelloWorldService {

    /** {@link TestJdbc} */
    @Binding
    public TestJdbc testJdbc;

    /**
	 * Worldを返します。
	 * 
	 * @param requestDto {@link HelloWorldRequestDto}
	 * @return HelloWorldResponseDto
	 */
	public HelloWorldResponseDto getWorld(HelloWorldRequestDto requestDto) {
//		return "World!"; // 一番シンプルなレスポンス
//	    return jdbcManager.from(Test.class).where("id = ?", 777).getSingleResult().name; // Service内でDBアクセスを実行
	    
	    // 戻り値の作成
	    HelloWorldResponseDto responseDto = new HelloWorldResponseDto();
	    
	    // クライアントからの検索条件の取得
	    Test test = requestDto.test;
	    
	    // 検索の実行
	    Test returnVal = testJdbc.getTest(test);
	    
	    // 戻り値への検索結果のセット
	    responseDto.test = returnVal;
	    
        // 配列送信のテスト（World!取得処理とは無関係です！）
	    ArrayList<Test> list = new ArrayList<Test>();
	    list.add(new Test());
        list.add(new Test());
        responseDto.testList = list;
	    
	    // 検索結果をクライアントに返す
	    return responseDto;
	}

    /**
     * 直接Listを返します。
     * 
     * @return List
     */
    public List<Test> getList() {
        // List送信のテスト（World!取得処理とは無関係です！）
        ArrayList<Test> list = new ArrayList<Test>();
        list.add(new Test());
        list.add(new Test());
        
        // 結果をクライアントに返す
        return list;
    }
}